<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

include_once(WPSITE_FLYOUT_FIRE_PLUGIN_DIR . '/admin/model/list-table.php');
include_once(WPSITE_FLYOUT_FIRE_PLUGIN_DIR . '/admin/model/db.php');

// Add cron jobs

if ( ! wp_next_scheduled('initialize_flyout_fire_stats_daily_cron')) {
	wp_schedule_event( time(), 'daily', 'initialize_flyout_fire_stats_daily_cron');
}

if ( ! wp_next_scheduled('setup_flyout_fire_email_stats_cron')) {
	wp_schedule_event( time(), 'daily', 'setup_flyout_fire_email_stats_cron');
}

$wpsite_flyout_fire_list_table = new WPsite_Flyout_Fire_List_Table();
$wpsite_flyout_fire_db = new WPsite_Flyout_Fire_DB();

$license_key = self::get_license_key();

// Activate / Deactivate

if(isset($_REQUEST["action"]) && $_REQUEST["action"] == "active") {

	// Check nonce

	if (isset($_REQUEST['wp_nonce']) && wp_verify_nonce($_REQUEST['wp_nonce'], self::$prefix . 'activate')) {
		$wpsite_flyout_fire_db->set_active($_GET["flyout_fire_id"], $_GET["set_action"]);
	}
}

// Delete

if(isset($_REQUEST["action"]) && $_REQUEST["action"] == "delete") {

	// Check nonce

	if (isset($_REQUEST['wp_nonce']) && wp_verify_nonce($_REQUEST['wp_nonce'], self::$prefix . 'delete')) {

		if (isset($_GET["flyout_fire_id"])) {

			$wpsite_flyout_fire_db->delete_data(esc_attr($_GET["flyout_fire_id"]));

			WPsite_Stats_FF::deleteStats($_GET["flyout_fire_id"]);
		}

		?>
		<script type="text/javascript">
			window.location= "<?php echo get_admin_url() . "admin.php?page=" . self::$dashboard_page;?>";
		</script>
		<?php
	}
}

// Preview

if (isset($_REQUEST["action"]) && $_REQUEST["action"] == "preview") {

	// Check nonce

	if (isset($_REQUEST['wp_nonce']) && wp_verify_nonce($_REQUEST['wp_nonce'], self::$prefix . 'preview')) {

		global $wpdb;

		$data = $wpdb->get_results($wpdb->prepare("SELECT * FROM `" . WPsite_Flyout_Fire_DB::getTableName() . "` WHERE `id` = %d", $_REQUEST['flyout_fire_id']), 'ARRAY_A');

		include_once(WPSITE_FLYOUT_FIRE_PLUGIN_DIR . "/core/functions.php");

		WPsite_Flyout_Fire_Core_Functions::generate_scripts($data[0]);
		WPsite_Flyout_Fire_Core_Functions::generate_code($data[0], unserialize($data[0]['social']), unserialize($data[0]['news_letter']));
	}
}

wp_localize_script(self::$prefix . 'dashboard_js', 'wps_ff_data', array(
	'prefix_dash' 		=> self::$prefix_dash,
	'activate_text' 	=> __('Activate', self::$text_domain),
	'deactivate_text' 	=> __('Deactivate', self::$text_domain),
));

include_once(WPSITE_FLYOUT_FIRE_PLUGIN_DIR . '/admin/views/dashboard.php');