<?php $next_post = get_next_post();

// Check if there is no next post

if (!isset($next_post) || empty($next_post)) {
	$next_post = get_previous_post();
}

if (!isset($next_post) || empty($next_post)) {
	return;
}

$thumbnail_class = isset($args['post']['thumbnail']) &&  $args['post']['thumbnail'] == 'yes' ? WPsite_Flyout_Fire::$prefix_dash . 'has-thumbnail' : '';

$out = '<div class="' . WPsite_Flyout_Fire::$prefix_dash . 'next-post ' . $thumbnail_class . '">';

// Thumbnail

$thumbnail_link = '';
$thumbnail_class = WPsite_Flyout_Fire::$prefix_dash . 'no-thumbnail';

if (isset($args['post']['thumbnail']) &&  $args['post']['thumbnail'] == 'yes') {
	$thumbnail = wp_get_attachment_url( get_post_thumbnail_id($next_post->ID) );

	if (isset($thumbnail) && $thumbnail != '') {
		$thumbnail_link .= '<a href="' . get_permalink( $next_post->ID ) . '"><img class="' . WPsite_Flyout_Fire::$prefix_dash . 'post-image" src="' . $thumbnail . '"/></a>';
		$thumbnail_class = WPsite_Flyout_Fire::$prefix_dash . 'has-thumbnail';
	}
}

$out .= '<div class="' . WPsite_Flyout_Fire::$prefix_dash . 'next-post-left ' . $thumbnail_class . '">' . $thumbnail_link . '</div>';

$out .= '<div class="' . WPsite_Flyout_Fire::$prefix_dash . 'next-post-right ' . $thumbnail_class . '">';
$out .= '<h2 class="' . WPsite_Flyout_Fire::$prefix_dash . 'post-title"><a href="' . get_permalink( $next_post->ID ) . '">' . $next_post->post_title . '</a></h2>';

// Meta Data

if (isset($args['post']['meta_data']) &&  $args['post']['meta_data'] == 'yes') {

	$author = get_userdata($next_post->post_author);

	$out .= '<div class="' . WPsite_Flyout_Fire::$prefix_dash . 'post-meat-data"><p class="' . WPsite_Flyout_Fire::$prefix_dash . 'post-date">' . date('M j, Y', strtotime($next_post->post_date)) .'</p>';
	$out .= ' &bull; ';

	$comment_count = wp_count_comments( $next_post->ID );

	if ($comment_count->approved == 0) {
		$comments = __('0', WPsite_Flyout_Fire::$text_domain) . ' <i class="fa fa-comments"></i>';
	} else if ($comment_count->approved == 1) {
		$comments = __('1', WPsite_Flyout_Fire::$text_domain) . ' <i class="fa fa-comment"></i>';
	} else {
		$comments = sprintf(__('%s', WPsite_Flyout_Fire::$text_domain), $comment_count->approved) . ' <i class="fa fa-comments"></i>';
	}

	$out .= '<p class="' . WPsite_Flyout_Fire::$prefix_dash . 'post-comments"><a href="' . get_comments_link( $next_post->ID ) . '">' . $comments . '</a></p>';

	$out .= ' &bull; ';

	$author = get_userdata( $next_post->post_author );

	$out .= '<p class="' . WPsite_Flyout_Fire::$prefix_dash . 'post-author">';
		$out .= '<a href="' . get_site_url() . '?author=' . $next_post->post_author . '" target="_self">';
			$out .= $author->display_name;
		$out .= '</a>';
	$out .= '</p></div>';

}

$out .= '</div>';

// Excerpt

if (isset($args['post']['excerpt']) &&  $args['post']['excerpt'] == 'yes') {

	if (isset($next_post->post_excerpt) && $next_post->post_excerpt != '') {
		$out .= '<p class="' . WPsite_Flyout_Fire::$prefix_dash . 'post-excerpt">' . $next_post->post_excerpt . '</p>';
	}

}

echo $out;